#! /usr/bin/env fish
# Requires ImageMagick

set export_resolutions 128 256

if test -d Out
    rm -rf Out
end
mkdir Out

for i in $export_resolutions
    mkdir ./Out/{$i}
    mkdir ./Out/{$i}/PridePentagrams

    for f in (find ./Source -name "*.png")
        magick $f -resize {$i}x{$i} ./Out/{$i}/PridePentagrams/(basename $f)
    end
end
